Skip to main content
GET
/
sku-purchases
/
{id}
curl -X GET "https://api.chipipay.com/v1/sku-purchases/sku-tx-b43ea3b1-3366-4ecb-9006-bb73b55767dc" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx"
{
  "id": "sku-tx-b43ea3b1-3366-4ecb-9006-bb73b55767dc",
  "type": "SKU_PURCHASE",
  "chain": "STARKNET",
  "transactionHash": "0x1234567890abcdef...",
  "senderAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "destinationAddress": "0x02d65bb726d2c29e3c97669cf297c5145eac19284fb6f935c05c0bfc68dae2b7",
  "token": "USDC",
  "amount": "1000000",
  "skuId": "sku-tl-TEL010",
  "skuReference": "5551234567",
  "skuPurchaseAmount": 10,
  "skuPurchaseCurrency": "MXN",
  "skuFileNumber": "FN-20250315-001",
  "status": "SUCCESS",
  "createdAt": "2025-03-15T10:30:00Z",
  "confirmedAt": "2025-03-15T10:31:00Z",
  "updatedAt": "2025-03-15T10:31:00Z",
  "apiPublicKey": "pk_xxxx"
}
curl -X GET "https://api.chipipay.com/v1/sku-purchases/sku-tx-b43ea3b1-3366-4ecb-9006-bb73b55767dc" \
  -H "Authorization: Bearer sk_prod_xxxx" \
  -H "x-api-key: pk_xxxx"
{
  "id": "sku-tx-b43ea3b1-3366-4ecb-9006-bb73b55767dc",
  "type": "SKU_PURCHASE",
  "chain": "STARKNET",
  "transactionHash": "0x1234567890abcdef...",
  "senderAddress": "0x049d36570d4e46f48e99674bd3fcc84644ddd6b96f7c741b1562b82f9e004dc7",
  "destinationAddress": "0x02d65bb726d2c29e3c97669cf297c5145eac19284fb6f935c05c0bfc68dae2b7",
  "token": "USDC",
  "amount": "1000000",
  "skuId": "sku-tl-TEL010",
  "skuReference": "5551234567",
  "skuPurchaseAmount": 10,
  "skuPurchaseCurrency": "MXN",
  "skuFileNumber": "FN-20250315-001",
  "status": "SUCCESS",
  "createdAt": "2025-03-15T10:30:00Z",
  "confirmedAt": "2025-03-15T10:31:00Z",
  "updatedAt": "2025-03-15T10:31:00Z",
  "apiPublicKey": "pk_xxxx"
}

Purchase Status

After creating a purchase, poll this endpoint to track its status:
StatusDescription
PENDINGPurchase created, awaiting processing
PROCESSINGPayment confirmed, service delivery in progress
SUCCESSService delivered successfully
FAILEDService delivery failed (check skuFileNumber for details)
CANCELLEDPurchase was cancelled

Authorizations

Authorization
string
header
required

Bearer token — use your secret key (sk_prod_xxx) for server-side calls, or the user's JWT for client-side calls

x-api-key
string
header
required

Your Chipi public API key (pk_xxx)

Path Parameters

id
string
required

The SKU purchase identifier

Response

Purchase details

id
string
required

Unique transaction identifier

chain
enum<string>
required

Blockchain network identifier

Available options:
STARKNET,
BASE,
ARBITRUM,
OPTIMISM,
ROOTSTOCK,
SCROLL,
WORLDCHAIN
transactionHash
string
required

On-chain transaction hash

senderAddress
string
required

The sender's wallet address

destinationAddress
string
required

The recipient's wallet address

status
enum<string>
required

Transaction lifecycle status

Available options:
PENDING,
PROCESSING,
SUCCESS,
FAILED,
CANCELLED
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
apiPublicKey
string
required

The API key that created this transaction

type
string

Transaction type

subType
string

Transaction sub-type

contractAddress
string

The contract that was called

contractName
string
functionName
string

The contract function that was called

functionSelector
string
token
enum<string>

Token identifier

Available options:
USDC,
USDC_E,
USDT,
DAI,
ETH,
STRK,
SLINK,
ALF,
BROTHER,
ARB,
DOC,
MXNB,
WLD,
WBTC,
OTHER
tokenAddress
string

The token's contract address

amount
string

Transfer amount (raw, divide by 10^decimals)

skuId
string

SKU ID if this is a service purchase

skuReference
string

Reference provided for the SKU purchase

skuPurchaseAmount
number

Purchase amount in local currency

skuPurchaseCurrency
enum<string>

Fiat currency code

Available options:
MXN,
USD
skuFileNumber
string

File number from the service provider

confirmedAt
string<date-time>
chipiWalletId
string

Internal wallet ID of the sender

destinationChipiWalletId
string

Internal wallet ID of the recipient (if also a Chipi wallet)